Name:          python-singledispatch
Version:       3.4.0.3
Release:       2mamba
Summary:       This library brings functools.singledispatch from Python 3.4 to Python 2.6
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://pypi.python.org/pypi/singledispatch
Source:        https://pypi.python.org/packages/source/s/singledispatch/singledispatch-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-six
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n singledispatch-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc README.rst

%changelog
* Sat Aug 10 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0.3-2mamba
- require python-six

* Sat Jan 23 2016 Davide Madrisan <davide.madrisan@gmail.com> 3.4.0.3-1mamba
- package created using the webbuild interface
